Subject: RE: Proposed Indexing Changes to draft-ietf-mpls-ldp-mib-03.txt

From: "Kullberg, Alan" <[email-masked]>
Date: Wed, 17 Nov 1999 15:13:38 -0500

Hi Bob,

Actually, my example was intended to show that the PeerLdpId
is NOT sufficient to uniquely identify a Peer entry or Session
entry in the LDP MIB and that the addition of the Local
LdpEntityLdpId into the indexing is required.  In addition,
my example was intended to show that the LdpEntityIndex is
also required in the indexing of these tables for cases where
2 LDP Entities on the same LSR are using the same platform
wide LDP ID but have different configuration values.

Alan

> -----Original Message-----
> From: Bob Thomas [mailto:[email-masked]]
> Sent: Wednesday, November 17, 1999 2:59 PM
> To: Kullberg, Alan
> Cc: 'Thomas D. Nadeau'; [email-masked]; [email-masked]; Joan 
> Cucchiara;
> Hans Sjoestrand; [email-masked]
> Subject: Re: Proposed Indexing Changes to 
> draft-ietf-mpls-ldp-mib-03.txt
> 
> 
> 
> Hi Alan,
> 
> > I finally had a chance to analyze your suggested changes to 
> the LDP MIB.
> > I believe that there are some faults in your proposed 
> indexing changes.
> > The summary of your new indexing is as follows:
> >
> > mplsLdpEntityEntry OBJECT-TYPE
> > INDEX { mplsLdpEntityLdpId, mplsLdpEntityIndex }
> > mplsLdpPeerEntry OBJECT-TYPE
> > INDEX { mplsLdpPeerLdpId }
> > mplsLdpSessionEntry OBJECT-TYPE
> > INDEX { mplsLdpPeerLdpId }
> > mplsLdpHelloAdjacencyEntry OBJECT-TYPE
> > INDEX { mplsLdpPeerLdpId, mplsLdpHelloAdjacencyIndex }
> >
> > The indexing of the LDP Entity is fine.  The indexing of the other
> > 3 break down under certain configurations of LSRs.
> >
> > For instance, if LSR-A and LSR-B are connected via 2 interfaces,
> > an ethernet and a PPP.  Let's say both interfaces on LSR-A are using
> > platform wide label space, and both interfaces on LSR-B are using
> > interface specific label space.  Both LSRs are using separate IP
> > addresses for each of their interfaces.  LSR-A is sending the same
> > LdpId on each interface, while LSR-B is sending a different LdpId
> > on each interface.
> 
> I'll leave the specific MIB design issues on this thread to others.
> However, if this example is intended to show that the pair of LDP Ids:
> 
>     (Local LDP Id, Remote LDP Id)
> 
> is insufficient to uniquely identify an LDP session within an LSR,
> I don't think it does.  I believe the pair of LDP Ids is sufficient
> in all cases.  (I suppose this is an implicit call for 
> counter examples).
> 
> 
> Bob